package eu.etaxonomy.taxeditor.molecular.handler;


import info.bioinfweb.libralign.alignmentarea.AlignmentArea;

import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;

import eu.etaxonomy.taxeditor.molecular.editor.AlignmentEditor;



public abstract class AbstractFocusedAlignmentAreaHandler extends AbstractAlignmentEditorHandler {
	@Override
	protected void doExecute(ExecutionEvent event, AlignmentEditor editor) throws ExecutionException {
    	AlignmentArea focusedArea = editor.getFocusedArea();
    	if (focusedArea != null) {
    		doExecute2(event, editor, focusedArea);
    	}
	}
	
	
	protected abstract void doExecute2(ExecutionEvent event, AlignmentEditor editor, AlignmentArea focusedArea);
}
