/**
* Copyright (C) 2016 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.molecular.io.wizard;


import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.jface.wizard.WizardPage;



/**
 * @author bstoe_01
 * @date 18.11.2016
 *
 */
public abstract class AbstractExportSingleReadAlignmentWizardPage extends WizardPage {
    public AbstractExportSingleReadAlignmentWizardPage(String pageName, String title, ImageDescriptor titleImage) {
        super(pageName, title, titleImage);
    }


    public AbstractExportSingleReadAlignmentWizardPage(String pageName) {
        super(pageName);
    }


    /**
     * {@inheritDoc}
     */
    @Override
    public ExportSingleReadAlignmentWizard getWizard() {
        return (ExportSingleReadAlignmentWizard)super.getWizard();  // Would throw an exception, if this page is used within another wizard.
    }
}
